#!/usr/bin/perl

###############################################################################
# upload.cgi                                                                  #
###############################################################################
#
# ImageFolio v 2.1 by BizDesign, Inc.
# written by Greg Raaum, webmaster@imageFolio.com
# Available from http://www.ImageFolio.com
# ---------------------------------------------------------------------------
# PROGRAM NAME : ImageFolio 2.1
# VERSION : 2.1
# LAST MODIFIED : 04/17/2000
# ===========================================================================
# COPYRIGHT NOTICE :
#
# Copyright (c) 1999-2000 BizDesign, Inc. All Rights Reserved.
# Selling the code for this program without prior written consent is
# expressly forbidden.
#
# Obtain written permission before redistributing this software over the 
# Internet or in any other medium.  In all cases copyright and header must
# remain intact.
#
# Feel free to modify the code of this program to suit your likings. 
#
# Although this program has been thoroughly tested on BizDesign's servers, we
# do not warrant that it works on all servers and will not be held liable
# for anything, including but not limited to, misusage, error, or loss of data.
#
# Use at your own risk!
###############################################################################

require "../config.pl";     # add the full path here if you have probs
require "admin_config.pl";  # add the full path here if you have probs

use CGI qw(:standard);
$query = new CGI;

$category = $query->param("category");
$use_pattern = $query->param("use_pattern");
$uid = $query->param("uid");
$uploaddir = "$image_directory/$category";
$ucount = 1;

while ($ucount != 11) {
$binary_image = $query->param("FILE$ucount");

   if ($binary_image ne "") {
      $image_to_upload = $binary_image; 
      $image_to_upload =~ s!^.*(\\|\/)!!;
      $uploaded .= "&image$ucount=$image_to_upload";

      if (($ucount eq "2") && ($image_to_upload !=~ /$mypattern/ig) && ($use_pattern eq "1")) {
         $image_to_upload = $mypattern . $image_to_upload;
         $renamed = "&renamed=$image_to_upload";
      }

      undef $bytesread;
      undef $buffer;

      open (OUTFILE, ">$uploaddir/$image_to_upload") or &Error ("Could not open upload directory.  Reason: $!"); 
      while ($bytesread = read($binary_image, $buffer, 1024)) { 
         print OUTFILE $buffer or &Error ("Could not save file.  Reason: $!"); 
      } 
      close (OUTFILE); 
   }
$ucount++;
}

$newcategory = $category;
$newcategory =~ s/_/ /g;

print "Content-type: text/html\n";
print "Location:$adminurl?cgi=images.pl&uid=$uid&imgaction=upload$uploaded&savecat=$newcategory$renamed\n\n";

########################################################
# Error
# shows error message if form not filled out correctly
########################################################
sub Error{
print "Content-type: text/html\n\n";
local ($whoops) = @_;

print qq|
<!doctype html public "-//w3c//dtd html 3.2 final//en">
<html>
<head>
<title>Error!</title>

<script language="JavaScript">
<!--
function help(){
window.alert("Help\\n\\nThis error message is displayed either because I was not able to understand your input or your input was incorrect.");
}
//-->
</script>

</head>

<body bgcolor="#ffffff" marginwidth=0 marginheight=0 topmargin=0 leftmargin=0>

<form>

<table border=0 cellspacing=0 cellpadding=0 width="100%" height="100%"><tr><td valign=middle align=center>
<table border=2 cellspacing=0 cellpadding=0 width="350" bgcolor="#000000"><tr><td>
<table border=0 cellspacing=0 cellpadding=3 width="350"><tr bgcolor="000000">
<td nowrap><$admin_font color="#ffffff"><strong>Error!</strong></font></td>
<td align=right nowrap><$admin_font><b><INPUT TYPE="button" VALUE=" ? " onClick="help()">&nbsp;<INPUT TYPE="button" VALUE=" X " onClick="history.go(-1)"></b></font></td></tr>

<tr bgcolor="#eeeeee">
<td colspan=2><table border=0 cellspacing=0 cellpadding=5 width="100%"><tr>
<td><$admin_font><b><font color="#ff0000">$whoops</font></b><br><br>If the button below does not take you back, please use your browser's back button to go back and try again.<br><br></font></td>
</tr></table>

<center><$admin_font><INPUT TYPE="button" VALUE="     OK     " onClick="history.go(-1)"></font></center>

</td></tr></table></td></tr></table></td></tr></table>
</form>

</body>
</html>
|;

exit;
}
