###############################################################################
# users.pl                                                                    #
###############################################################################
#
# ImageFolio v 2.1 by BizDesign, Inc.
# written by Greg Raaum, webmaster@imageFolio.com
# Available from http://www.ImageFolio.com
# ---------------------------------------------------------------------------
# PROGRAM NAME : ImageFolio 2.1
# VERSION : 2.1
# LAST MODIFIED : 04/17/2000
# ===========================================================================
# COPYRIGHT NOTICE :
#
# Copyright (c) 1999-2000 BizDesign, Inc. All Rights Reserved.
# Selling the code for this program without prior written consent is
# expressly forbidden.
#
# Obtain written permission before redistributing this software over the 
# Internet or in any other medium.  In all cases copyright and header must
# remain intact.
#
# Feel free to modify the code of this program to suit your likings. 
#
# Although this program has been thoroughly tested on BizDesign's servers, we
# do not warrant that it works on all servers and will not be held liable
# for anything, including but not limited to, misusage, error, or loss of data.
#
# Use at your own risk!
###############################################################################

###############################################################################
# MODIFY USER
# Shows the modify a user form
###############################################################################
sub modify_user {

if ($userstep eq "2") { &modify_user_step2; }
elsif ($userstep eq "final") { &modify_user_final; }
else {
$pagetitle = "Modify User - Select A User";
&get_header;
&get_user_list;

print qq|$comment

<form method=get action="$ENV{'SCRIPT_NAME'}">
<input type=hidden name=uid value="$FORM{'uid'}">
<input type=hidden name=cgi value="users.pl">
<input type=hidden name=useraction value="modify">
<input type=hidden name=userstep value=2>

<center>

<table border="0" width="100%" cellspacing=0 cellpadding=0 bgcolor="#000000">

<tr><td>

<table border="0" width="100%" cellspacing=1 cellpadding=0>
<tr bgcolor="#ffcc00"><td>

<table border="0" width="100%" cellspacing=0 cellpadding=4>
<tr><td><$admin_big_font><b>Select A User</b></font></td>
<td align=right><$admin_big_font><b>Step 1 of 2</b></font></td>
</tr></table></td></tr>

<tr bgcolor="#eeeeee"><td align=center>$userlist</td></tr></table></td></tr></table>

<br><input type=submit value="Modify User">

</center>

</form>
|;

&get_footer;
}
}

###############################################################################
# MODIFY USER STEP 2
# Shows a form to modify a single user's information
###############################################################################
sub modify_user_step2 {

$pagetitle = "Modify User";
&get_header;
&get_user;

print qq|
<form method=post action="$ENV{'SCRIPT_NAME'}">
<input type=hidden name=uid value="$FORM{'uid'}">
<input type=hidden name=cgi value="users.pl">
<input type=hidden name=useraction value="modify">
<input type=hidden name=userstep value=final>
<input type=hidden name=ifuser value="$ifuser">
<input type=hidden name=oldpass value="$ifpassword">

<center>

<table border="0" width="100%" cellspacing=0 cellpadding=0 bgcolor="#000000">

<tr><td>

<table border="0" width="100%" cellspacing=1 cellpadding=0>
<tr bgcolor="#ffcc00"><td>

<table border="0" width="100%" cellspacing=0 cellpadding=4>
<tr><td><$admin_big_font><b>Modify User</b></font></td>
<td align=right><$admin_big_font><b>Step 2 of 2</b></font></td>
</tr></table></td></tr>

<tr bgcolor="#eeeeee"><td align=center>

<br><$admin_small_font><b>U S E R&nbsp;&nbsp;&nbsp;I D E N T I T Y</b></font><br><br>

<table border=0 cellspacing=0 cellpadding=0 bgcolor="#000000" width=400><tr><td align=center>
<table border=0 cellspacing=1 cellpadding=4 width="100%">

<tr bgcolor="#ffcc00"><td><$admin_font><b>First Name</b></font></td><td><input type=text size=35 name=iffirstname value="$iffirstname"></td></tr>
<tr bgcolor="#ffcc00"><td><$admin_font><b>Last Name</b></font></td><td><input type=text size=35 name=iflastname value="$iflastname"></td></tr>
<tr bgcolor="#ffcc00"><td><$admin_font><b>Email</b></font></td><td><input type=text size=35 name=ifemail value="$ifemail"></td></tr>
<tr bgcolor="#ffcc00"><td><$admin_font><b>Username</b></font></td><td><input type=text size=35 name=ifusername value="$ifusername"></td></tr>
<tr bgcolor="#ffcc00"><td><$admin_font><b>Password</b></font></td><td><input type=text size=35 name=ifpassword value="$ifpassword"></td></tr>

</table></td></tr></table>

<br><$admin_small_font><b>U S E R&nbsp;&nbsp;&nbsp;P E R M I S S I O N S</b></font><br><br>

<table border=0 cellspacing=0 cellpadding=0 width="400" bgcolor="#000000"><tr><td align=center valign=middle>
<table border=0 cellspacing=1 cellpadding=4 width="100%"><tr bgcolor="#ff0000">
<td width="80%"><$admin_font color="#ffffff"><b>Allow this user to...</b></font></td>
<td align=center width="10%"><$admin_font color="#ffffff"><b>Yes</b></font></td>
<td align=center width="10%"><$admin_font color="#ffffff"><b>No</b></font></td></tr>

<tr bgcolor="#dddddd">
<td><$admin_font><b>Add Keywords and Captions</b> ?</font></td>|;

if ($ifdesc_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifdesc_per" value=Yes checked></td>
<td align=center><input type=radio name="ifdesc_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifdesc_per" value=Yes></td>
<td align=center><input type=radio name="ifdesc_per" value=No checked></td>|;
}

print qq|</tr>

<tr bgcolor="#ffffff">
<td><$admin_font><b>Upload Media</b> ?</font></td>|;

if ($ifupload_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifupload_per" value=Yes checked></td>
<td align=center><input type=radio name="ifupload_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifupload_per" value=Yes></td>
<td align=center><input type=radio name="ifupload_per" value=No checked></td>|;
}

print qq|</tr>

<tr bgcolor="#dddddd">
<td><$admin_font><b>Add Categories</b> ?</font></td>|;

if ($ifaddcat_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifaddcat_per" value=Yes checked></td>
<td align=center><input type=radio name="ifaddcat_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifaddcat_per" value=Yes></td>
<td align=center><input type=radio name="ifaddcat_per" value=No checked></td>|;
}

print qq|</tr>

<tr bgcolor="#ffffff">
<td><$admin_font><b>Rename Categories</b> ?</font></td>|;

if ($ifrencat_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifrencat_per" value=Yes checked></td>
<td align=center><input type=radio name="ifrencat_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifrencat_per" value=Yes></td>
<td align=center><input type=radio name="ifrencat_per" value=No checked></td>|;
}

print qq|</tr>

<tr bgcolor="#dddddd">
<td><$admin_font><b>Delete Categories</b> ?</font></td>|;

if ($ifdelcat_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifdelcat_per" value=Yes checked></td>
<td align=center><input type=radio name="ifdelcat_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifdelcat_per" value=Yes></td>
<td align=center><input type=radio name="ifdelcat_per" value=No checked></td>|;
}

print qq|</tr>

<tr bgcolor="#ffffff">
<td><$admin_font><b>Rebuild the Image Index</b> ?</font></td>|;

if ($ifbuild_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifbuild_per" value=Yes checked></td>
<td align=center><input type=radio name="ifbuild_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifbuild_per" value=Yes></td>
<td align=center><input type=radio name="ifbuild_per" value=No checked></td>|;
}


print qq|</tr>

<tr bgcolor="#dddddd">
<td><$admin_font><b>Add New Users</b> ?</font></td>|;

if ($ifaddusr_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifaddusr_per" value=Yes checked></td>
<td align=center><input type=radio name="ifaddusr_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifaddusr_per" value=Yes></td>
<td align=center><input type=radio name="ifaddusr_per" value=No checked></td>|;
}


print qq|</tr>

<tr bgcolor="#ffffff">
<td><$admin_font><b>Modify Other Users</b> ?</font></td>|;

if ($ifmodusr_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifmodusr_per" value=Yes checked></td>
<td align=center><input type=radio name="ifmodusr_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifmodusr_per" value=Yes></td>
<td align=center><input type=radio name="ifmodusr_per" value=No checked></td>|;
}


print qq|</tr>

<tr bgcolor="#dddddd">
<td><$admin_font><b>Delete Other Users</b> ?</font></td>|;

if ($ifdelusr_per eq "Yes") {
print qq|<td align=center><input type=radio name="ifdelusr_per" value=Yes checked></td>
<td align=center><input type=radio name="ifdelusr_per" value=No></td>|;
}
else {
print qq|<td align=center><input type=radio name="ifdelusr_per" value=Yes></td>
<td align=center><input type=radio name="ifdelusr_per" value=No checked></td>|;
}


print qq|</tr>

</table></td></tr></table><br>

</td></tr></table></td></tr></table>

<br><input type=submit value="Modify User">&nbsp;<input type=reset value="Cancel">

</center>
</form>
|;

&get_footer;
}

###############################################################################
# MODIFY USER FINAL
# Modifies a user's information in the database
###############################################################################
sub modify_user_final {
&get_user;

   if    (!$FORM{'ifusername'})       { print &Error('You must enter a Username.');                      exit; }
   elsif (!$FORM{'ifemail'})          { print &Error('You must enter your Email Address.');              exit; }
   elsif (!$FORM{'ifpassword'})       { print &Error('You must enter a Password.');                      exit; }
   elsif ($plength < 6)               { print &Error('Your Password must be at least six characters.');  exit; }
   elsif ($llength < 5)               { print &Error('Your Username must be at least five characters.'); exit; }
   elsif (!$FORM{'iffirstname'})      { print &Error('You must enter your First Name.');                 exit; }
   elsif (!$FORM{'iflastname'})       { print &Error('You must enter your Last Name.');                  exit; }

   if ($FORM{'oldpass'} ne $FORM{'ifpassword'}) { $newpass = crypt($FORM{'ifpassword'}, "MM"); }
   else { $newpass = $FORM{'oldpass'}; }

   open (USERDB,">$userdb") || print &Error('Could not open the user database!');
   flock(USERDB, 2);
   print USERDB "$database";   # print the existing database minus this user, then the user
   print USERDB "$FORM{'ifusername'}\|$newpass\|$ifuser\|$FORM{'ifemail'}\|";
   print USERDB "$FORM{'iffirstname'}\|$FORM{'iflastname'}\|$FORM{'ifdesc_per'}\|$FORM{'ifupload_per'}\|";
   print USERDB "$FORM{'ifaddcat_per'}\|$FORM{'ifrencat_per'}\|$FORM{'ifdelcat_per'}\|$FORM{'ifbuild_per'}\|";
   print USERDB "$FORM{'ifaddusr_per'}\|$FORM{'ifmodusr_per'}\|$FORM{'ifdelusr_per'}\n";
   flock(USERDB, 8);
   close(USERDB);

$comment = qq|<$admin_font><b>The user <font color=red>$FORM{'ifusername'}</font> has been modified.<b></font><br><br>|;
$userstep = "";
&modify_user;
}

###############################################################################
# DELETE USER
# Opens the user database and builds a select box of all users
###############################################################################
sub delete_user {

if ($userstep eq "final" && $ifuser) {
   &get_user;
   open (USERDB,">$userdb") || print &Error('Could not open the user database!');
   flock(USERDB, 2);
   print USERDB "$database";
   flock(USERDB, 8);
   close(USERDB);
   $comment = qq|<$admin_font><b>The user <font color=red>$ifusername</font> has been deleted.<b></font><br><br>|;
}

$pagetitle = "Delete User - Select A User";
&get_header;
&get_user_list;

print qq|$comment

<form method=get action="$ENV{'SCRIPT_NAME'}">
<input type=hidden name=uid value="$FORM{'uid'}">
<input type=hidden name=cgi value="users.pl">
<input type=hidden name=useraction value="delete">
<input type=hidden name=userstep value=final>

<center>

<table border="0" width="100%" cellspacing=0 cellpadding=0 bgcolor="#000000">

<tr><td>

<table border="0" width="100%" cellspacing=1 cellpadding=0>
<tr bgcolor="#ffcc00"><td>

<table border="0" width="100%" cellspacing=0 cellpadding=4>
<tr><td><$admin_big_font><b>Delete A User</b></font></td>
<td align=right><$admin_big_font><b>Step 1 of 1</b></font></td>
</tr></table></td></tr>

<tr bgcolor="#eeeeee"><td align=center>$userlist</td></tr></table></td></tr></table>

<br><input type=submit value="Delete User">

</center>

</form>
|;

&get_footer;
}

###############################################################################
# GET USER LIST
# Opens the user database and builds a select box of all users
###############################################################################
sub get_user {

   if ($useraction eq "modify" && $userstep eq "final") {
      $FORM{'ifusername'} =~ s/ //g;
      $FORM{'ifpassword'} =~ s/ //g;
      $plength = length($FORM{'ifpassword'});
      $llength = length($FORM{'ifusername'});
   }

   open (USERDB, "$userdb");
      while (<USERDB>) {
         chomp;
         /^#/      and next;        # Skip comment Lines.
         /^\s*$/   and next;        # Skip blank lines.
         $row=$_;
         @user = split(/\|/,$row);

         if ($user[2] eq $ifuser) {
            $ifusername   = $user[0];    $ifpassword   = $user[1];
            $ifusernum    = $user[2];    $ifemail      = $user[3];
            $iffirstname  = $user[4];    $iflastname   = $user[5];
            $ifdesc_per   = $user[6];    $ifupload_per = $user[7];
            $ifaddcat_per = $user[8];    $ifrencat_per = $user[9];
            $ifdelcat_per = $user[10];   $ifbuild_per  = $user[11];
            $ifaddusr_per = $user[12];   $ifmodusr_per = $user[13];
            $ifdelusr_per = $user[14];
         }
         elsif ($userstep eq "final") {
            if ($useraction eq "modify" && lc($user[0]) eq lc($FORM{'ifusername'})) {
               print &Error('The Username you requested is already in use by another user.');
               exit;
            }
            $database .= "$user[0]\|$user[1]\|$user[2]\|$user[3]\|$user[4]\|";
            $database .= "$user[5]\|$user[6]\|$user[7]\|$user[8]\|$user[9]\|";
            $database .= "$user[10]\|$user[11]\|$user[12]\|$user[13]\|$user[14]\n";
         }
      }
   close (USERDB);
}

###############################################################################
# GET USER LIST
# Opens the user database and builds a select box of all users
###############################################################################
sub get_user_list {
   $userlist = qq|<select name="ifuser" size=8>|;

   open (USERDB, "$userdb");
      while (<USERDB>) {
         chomp;
         /^#/      and next;        # Skip comment Lines.
         /^\s*$/   and next;        # Skip blank lines.
         $row=$_;
         @user = split(/\|/,$row);
         $userlist .= qq|<option value="$user[2]">($user[0]) -  $user[4] $user[5]|;
      }
   close (USERDB);

   $userlist .= qq|</select>|;
}

1;
